Ogre::EmbeddedZipArchiveFactory Class Reference
Resources

Specialisation of ZipArchiveFactory for embedded Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::EmbeddedZipArchiveFactory:
[legend]

List of all members.

## Public Types

typedef bool(* | DecryptEmbeddedZipFileFunc )(size_t pos, void *buf, size_t len)
| a function type to decrypt embedded zip file

## Public Member Functions

| EmbeddedZipArchiveFactory ()
virtual | ~EmbeddedZipArchiveFactory ()
const String & | getType (void) const
Archive * | createInstance (const String &name)
void | destroyInstance (Archive *arch)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Static Public Member Functions

static void | addEmbbeddedFile (const String &name, const uint8 *fileData, size_t fileSize, DecryptEmbeddedZipFileFunc decryptFunc)
| Add an embedded file to the embedded file list.
static void | removeEmbbeddedFile (const String &name)
| Remove an embedded file to the embedded file list.

## Static Protected Attributes

static zzip_plugin_io_handlers * | mPluginIo
| A static pointer to file io alternative implementation for the embedded files.

## Detailed Description

Specialisation of ZipArchiveFactory for embedded Zip files.

Definition at line 126 of file OgreZip.h.

## Member Typedef Documentation

typedef bool(* Ogre::EmbeddedZipArchiveFactory::DecryptEmbeddedZipFileFunc)(size_t pos, void *buf, size_t len)

a function type to decrypt embedded zip file

Parameters:

  pos | pos in file
  buf | current buffer to decrypt
  len | - length of buffer

Returns:
  success

Definition at line 149 of file OgreZip.h.

## Constructor & Destructor Documentation

Ogre::EmbeddedZipArchiveFactory::EmbeddedZipArchiveFactory | ( |  | ) |

virtual Ogre::EmbeddedZipArchiveFactory::~EmbeddedZipArchiveFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Ogre::EmbeddedZipArchiveFactory::addEmbbeddedFile | ( | const String & | name,
|  | const uint8 * | fileData,
|  | size_t | fileSize,
|  | DecryptEmbeddedZipFileFunc | decryptFunc
| ) |  | `[static]`

Add an embedded file to the embedded file list.

Archive* Ogre::EmbeddedZipArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Creates a new object.

Parameters:

  name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Reimplemented from Ogre::ZipArchiveFactory.

Definition at line 137 of file OgreZip.h.

References OGRE_NEW.

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | arch | ) | `[virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

Definition at line 122 of file OgreZip.h.

References OGRE_DELETE.

const String& Ogre::EmbeddedZipArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Reimplemented from Ogre::ZipArchiveFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

static void Ogre::EmbeddedZipArchiveFactory::removeEmbbeddedFile | ( | const String & | name | ) | `[static]`

Remove an embedded file to the embedded file list.

## Member Data Documentation

zzip_plugin_io_handlers* Ogre::EmbeddedZipArchiveFactory::mPluginIo `[static, protected]`

A static pointer to file io alternative implementation for the embedded files.

Definition at line 130 of file OgreZip.h.

The documentation for this class was generated from the following file:

- OgreZip.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:42